org.eclipse.viatra.query.patternlanguage.emf.jvmmodel

## Class PatternMatchClassInferrer

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.jvmmodel.PatternMatchClassInferrer

-     public class PatternMatchClassInferrer
      extends java.lang.Object

  `IPatternMatch` implementation inferer.
  No Reference:

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternMatchClassInferrer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `inferMatchClassConstructors(org.eclipse.xtext.common.types.JvmDeclaredType matchClass, Pattern pattern)` Infers constructors for Match class based on the input 'pattern'.
    `java.lang.Boolean` | `inferMatchClassElements(org.eclipse.xtext.common.types.JvmDeclaredType it, Pattern pattern, org.eclipse.xtext.common.types.JvmType querySpecificationClass, org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder builder, org.eclipse.xtext.xbase.jvmmodel.JvmAnnotationReferenceBuilder annBuilder)`
    `boolean` | `inferMatchClassFields(org.eclipse.xtext.common.types.JvmDeclaredType matchClass, Pattern pattern)` Infers fields for Match class based on the input 'pattern'.
    `void` | `inferMatchClassGetters(org.eclipse.xtext.common.types.JvmDeclaredType matchClass, Pattern pattern)` Infers getters for Match class based on the input 'pattern'.
    `boolean` | `inferMatchClassMethods(org.eclipse.xtext.common.types.JvmDeclaredType matchClass, Pattern pattern, org.eclipse.xtext.common.types.JvmTypeReference querySpecificationClassRef)` Infers methods for Match class based on the input 'pattern'.
    `void` | `inferMatchClassSetters(org.eclipse.xtext.common.types.JvmDeclaredType matchClass, Pattern pattern)` Infers setters for Match class based on the input 'pattern'.
    `boolean` | `inferMatchInnerClasses(org.eclipse.xtext.common.types.JvmDeclaredType matchClass, Pattern pattern)` Infers inner classes for Match class based on the input 'pattern'.
    `org.eclipse.xtext.common.types.JvmGenericType` | `makeMatchInnerClass(org.eclipse.xtext.common.types.JvmDeclaredType matchClass, Pattern pattern, java.lang.String innerClassName, boolean isMutable)` Infers a single inner class for Match class

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternMatchClassInferrer

          public PatternMatchClassInferrer()

  - ### Method Detail

    - #### inferMatchClassElements

          public java.lang.Boolean inferMatchClassElements(org.eclipse.xtext.common.types.JvmDeclaredType it,
                                                           Pattern pattern,
                                                           org.eclipse.xtext.common.types.JvmType querySpecificationClass,
                                                           org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder builder,
                                                           org.eclipse.xtext.xbase.jvmmodel.JvmAnnotationReferenceBuilder annBuilder)

    - #### inferMatchClassFields

          public boolean inferMatchClassFields(org.eclipse.xtext.common.types.JvmDeclaredType matchClass,
                                               Pattern pattern)

      Infers fields for Match class based on the input 'pattern'.

    - #### inferMatchClassConstructors

          public boolean inferMatchClassConstructors(org.eclipse.xtext.common.types.JvmDeclaredType matchClass,
                                                     Pattern pattern)

      Infers constructors for Match class based on the input 'pattern'.

    - #### inferMatchClassGetters

          public void inferMatchClassGetters(org.eclipse.xtext.common.types.JvmDeclaredType matchClass,
                                             Pattern pattern)

      Infers getters for Match class based on the input 'pattern'.

    - #### inferMatchClassSetters

          public void inferMatchClassSetters(org.eclipse.xtext.common.types.JvmDeclaredType matchClass,
                                             Pattern pattern)

      Infers setters for Match class based on the input 'pattern'.

    - #### inferMatchClassMethods

          public boolean inferMatchClassMethods(org.eclipse.xtext.common.types.JvmDeclaredType matchClass,
                                                Pattern pattern,
                                                org.eclipse.xtext.common.types.JvmTypeReference querySpecificationClassRef)

      Infers methods for Match class based on the input 'pattern'.

    - #### inferMatchInnerClasses

          public boolean inferMatchInnerClasses(org.eclipse.xtext.common.types.JvmDeclaredType matchClass,
                                                Pattern pattern)

      Infers inner classes for Match class based on the input 'pattern'.

    - #### makeMatchInnerClass

          public org.eclipse.xtext.common.types.JvmGenericType makeMatchInnerClass(org.eclipse.xtext.common.types.JvmDeclaredType matchClass,
                                                                                   Pattern pattern,
                                                                                   java.lang.String innerClassName,
                                                                                   boolean isMutable)

      Infers a single inner class for Match class